%define oversion 5.4.6

%define major       5
%define majorminor  %{major}.6.1
%define lname       lzma
%define libname     %mklibname %{lname} %{major}
%define libdev      %mklibname -d %{lname}

%define xz_pkgdocdir   %{_datadir}/doc/%{name}
%define dev_pkgdocdir  %{_datadir}/doc/%{libdev}

Summary:          XZ utils
Name:             xz
Version:          5.6.1
Release:          %mkrel 5
License:          GPLv2+ and Public Domain
Group:            Archiving/Compression
Source0:          https://tukaani.org/xz/%{name}-%{oversion}.tar.xz
Source1:          xzme
Requires:         %{libname} = %{version}-%{release}
Patch0:		xz-5.2.0-text-tune.patch
Patch1:		xz-5.4.3-no-Lusrlib.patch
Patch2:		default-threading.patch
Patch3:		io-size.patch
Patch4:		speedup.patch
BuildRequires:    pkgconfig(zlib)
BuildRequires:    diffutils
URL:              https://tukaani.org/xz/
Provides: lzma

%description
XZ provides very high compression ratio and fast decompression. The
core of the XZ utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other XZ related
tools. Also provides:

- Average compression ratio 30% better than that of gzip and 15%
  better than that of bzip2.

- Decompression speed is only little slower than that of gzip, being
  two to five times faster than bzip2.

- In fast mode, compresses faster than bzip2 with a comparable
  compression ratio.

- Achieving the best compression ratios takes four to even twelve
  times longer than with bzip2. However, this doesn't affect
  decompressing speed.

- Very similar command line interface than what gzip and bzip2 have.

%description -l de
XZ bietet sehr hohe Kompression und schnelle Dekompression. Der Kern des
XZ Programmes ist Igor Pavlov's LZMA SDK mit dem LZMA Encoder / Decoder.
XZ Werkzeuge bietet noch ein paar Skripte, die eine Kommandozeilenschnittstelle
ähnlich gzip und ein paar andere verwandte LZMA-Werkzeuge hinzufügen.

- Durchschnittliches Kompressionsrate 30% besser als die von gzip und 15%
  besser als die von bzip2

- Dekompressionsgeschwindigkeit ist nur ein wenig langsamer als bei gzip,
  wobei zwei bis fünf Mal schneller als bzip2.

- Im Fast-Modus, komprimiert es schneller als bzip2 mit einer vergleichbaren
  Kompressionsrate.

- Erreichen der besten Kompressionsraten dauert noch vier bis zwölf mal länger
  als mit bzip2. Jedoch wirkt sich dies nicht auf die Dekomprimierungsgeschwindigkeit aus.

- Sehr ähnliche Befehlszeilen-Schnittstelle, wie bei gzip und bzip2.

%package -n       %{libname}
Summary:          Libraries for decoding XZ/LZMA compression
Group:            System/Libraries

%description -n   %{libname}
Libraries for decoding LZMA compression.

%description -n	%{libname} -l de
Bibliothek zum Dekodieren der XZ/LZMA Komprimierung

%package -n       %{libdev}
Summary:          Devel libraries & headers for liblzma
Group:            Development/Libraries
Requires:         %{libname} = %{version}
Provides:         %{lname}-devel = %{version}-%{release}
Provides:         lib%{lname}-devel = %{version}-%{release}
Provides:         xz-devel

%description -n %{libdev}
Devel libraries & headers for liblzma.

%description -n %{libdev} -l de
Entwicklungsdateien und Header für liblzma

%prep
%setup -qn %{name}-%{oversion}
%autopatch -p1

%build
CFLAGS="%{optflags} -O3 -funroll-loops" \
%configure2_5x --enable-assume-ram=1024 --enable-threads
%make_build

%install
%make_install
install -m755 %{SOURCE1} -D %{buildroot}%{_bindir}/xzme

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name} --with-man --all-name

# Move examples to devel subpackage
mkdir -p %{buildroot}%{dev_pkgdocdir}
mv %{buildroot}%{xz_pkgdocdir}/examples* %{buildroot}%{dev_pkgdocdir}

%files -f %{name}.lang
%doc %{xz_pkgdocdir}
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/liblzma.so.*

%files -n %{libdev}
%doc %{dev_pkgdocdir}/examples*
%defattr(644,root,root,755)
%{_includedir}/%{lname}.h
%dir %{_includedir}/%{lname}
%{_includedir}/%{lname}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/lib%{lname}.pc

%pre
rm -f /etc/ld.so.cache

%post -n %{libname}
#force symlink
ln -fs /usr/lib64/liblzma.so.5.4.6 /usr/lib64/liblzma.so.5
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%posttrrans
/sbin/ldconfig


%changelog
* Tue Apr 09 2024 tex - 5.6.1-5pclos2024
- force symlink liblzma.so.5

* Tue Apr 02 2024 tex - 5.6.1-4pclos2024
- fix ld.so.cache

* Mon Apr 01 2024 tex - 5.6.1-3pclos2024
- add OM patches

* Sat Mar 30 2024 tex - 5.6.1-2pclos2024
- back down to 5.4.6

* Sat Mar 09 2024 tex - 5.6.1-1pclos2024
- new version

* Sun Feb 25 2024 tex - 5.6.0-1pclos2024
- new version

* Fri Jan 26 2024 tex - 5.4.6-1pclos2024
- new version

* Thu Nov 02 2023 tex - 5.4.5-1pclos2023
- new version

* Wed Aug 02 2023 tex - 5.4.4-1pclos2023
- new version

* Fri May 05 2023 tex - 5.4.3-1pclos2023
- new version

* Sun Mar 19 2023 tex - 5.4.2-1pclos2023
- new version

* Wed Jan 11 2023 tex - 5.4.1-1pclos2023
- new version

* Wed Dec 14 2022 tex - 5.2.10-1pclos2022
- new version

* Thu Dec 01 2022 tex - 5.2.9-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.2.8-1pclos2022
- new version

* Fri Sep 30 2022 tex - 5.2.7-1pclos2022
- new version

* Sat Sep 03 2022 tex - 5.2.6-3pclos2022
- force symlink

* Sun Aug 21 2022 tex - 5.2.6-2pclos2022
- symlink for mylivecd

* Sat Aug 13 2022 tex - 5.2.6-1pclos2022
- new version
